JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinDef.RECT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinDef.RECT

Enclosing interface:
  WinDef

    public static class WinDef.RECT

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` | `bottom`
`int` | `left`
`int` | `right`
`int` | `top`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinDef.RECT()`

Method Summary
`Rectangle` | `toRectangle()`
`String` | `toString()`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### left

    public int left

### top

    public int top

### right

    public int right

### bottom

    public int bottom

Constructor Detail

### WinDef.RECT

    public WinDef.RECT()

Method Detail

### toRectangle

    public Rectangle toRectangle()

### toString

    public String toString()

  Overrides:
    `toString` in class `Structure`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.